curl --request GET \
--url https://staging.crossmint.com/api/2022-06-09/wallets/{walletLocator}/transactions/{transactionId} \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://staging.crossmint.com/api/2022-06-09/wallets/{walletLocator}/transactions/{transactionId}"
headers = {"X-API-KEY": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};
fetch('https://staging.crossmint.com/api/2022-06-09/wallets/{walletLocator}/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "tx-b984491a-5785-43c0-8811-45d46fe6e520",
"walletType": "evm-smart-wallet",
"status": "awaiting-approval",
"approvals": {
"pending": [
{
"signer": "evm-keypair:0xdeadbeef",
"message": "Please sign this transaction"
}
],
"submitted": []
},
"params": {
"calls": [
{
"to": "0x1234567890123456789012345678901234567890",
"value": "1000000000000000000",
"data": "0x"
}
],
"chain": "base",
"signer": "evm-keypair:0xdeadbeef"
},
"onChain": {
"userOperation": "... full user operation object",
"userOperationHash": "0xf719f9570671c6eb016f1f4a95ada4278b8e91f55bc384d70c69fd756919a41c"
},
"createdAt": "2024-01-01T00:00:00Z"
}{
"error": true,
"message": "<error message>"
}Get Transaction
Retrieves the current status and details of a specific transaction.
API scope required: wallets:transactions.read
Headers
API key required for authentication
Path Parameters
A wallet locator can be of the format:
<walletAddress>email:<email>:<walletType>userId:<userId>:<walletType>userId:<userId>:<walletType>(white label user example)phoneNumber:<phoneNumber>:<walletType>twitter:<handle>:<walletType>x:<handle>:<walletType>
Response
The transaction has been successfully retrieved.
- EVM transaction response
- Solana transaction response
- EVM MPC transaction response
- Solana smart wallet transaction response
Complete transaction response including status, signing requirements, and wallet type specific data
The type of wallet that created this transaction
evm-smart-wallet EVM smart wallet transaction parameters
Show child attributes
Show child attributes
EVM smart wallet transaction data including input parameters and chain specific details
Show child attributes
Show child attributes
Unique identifier for the transaction
Current status of the transaction
awaiting-approval, pending, failed, success ISO timestamp when the transaction was created
"2024-01-01T00:00:00.000Z"
Complete approval data including requirements, pending and submitted signatures
Show child attributes
Show child attributes
ISO timestamp when the transaction reached finality
"2024-01-01T00:00:00.000Z"
Error message if the transaction fails after submission
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

